#![allow(unused_imports)]

use intel_gpu_uapi::*;
use uapi::i915;
use std::fs;
use std::{fs::File, os::fd::AsRawFd};

#[test]
fn test_i915_uapi_get_version() {
    let node = i915::find_node().expect("Failed to find i915 fd");
    let drm_version = uapi::get_drm_version(node.fd.as_raw_fd()).expect("Failed to get drm version");
    println!("{:?}", drm_version);
}

#[test]
fn test_i915_uapi_get_engines() {
    let node = i915::find_node().expect("Failed to find i915 fd");
    let engines = i915::get_engines(node.fd.as_raw_fd()).expect("Failed to get engines");
    println!("{:?}", engines);
}